Query Token Balance
curl --request GET \
--url https://apiif.com/v1/balance \
--header 'Authorization: Bearer <token>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://apiif.com/v1/balance"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://apiif.com/v1/balance")
.header("Authorization", "Bearer <token>")
.asString();const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://apiif.com/v1/balance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://apiif.com/v1/balance';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));
import Foundation
let url = URL(string: "https://apiif.com/v1/balance")!
var request = URLRequest(url: url)
request.httpMethod = "GET"
request.timeoutInterval = 10
request.allHTTPHeaderFields = ["Authorization": "Bearer <token>"]
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self)){
"success": true,
"remain_balance": 10.5,
"used_balance": 2.3,
"unlimited_quota": false
}{
"error": {
"code": 123,
"message": "<string>",
"type": "<string>"
}
}{
"error": {
"code": 123,
"message": "<string>",
"type": "<string>"
}
}System
Query Token Balance
Get the remaining and used balance of the current API Key (token).
GET
/
v1
/
balance
Query Token Balance
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Token balance retrieved
⌘I